apiVersion: v1
kind: ConfigMap
metadata:
  name: config
  namespace: registry
data:
  config.yml: |
    version: 0.1
    log:
      fields:
        service: registry
    storage:
      s3:
        region: us-east-1
        regionendpoint: http://rook-ceph-rgw-generic.rook-ceph.svc:80
        encrypt: false
        secure: true
        v4auth: true
        chunksize: 5242880
        rootdirectory: /
      delete:
        enabled: true
      maintenance:
        uploadpurging:
          enabled: false
        readonly:
          enabled: false
      redirect:
        disable: true
    http:
      addr: :5000
      headers:
        X-Content-Type-Options: [nosniff]
      debug:
          addr: ":5001"
          prometheus:
            enabled: true
            path: "/metrics"
